Changeset 3097


Ignore:
Timestamp:
Nov 21, 2013 2:55:41 PM (6 years ago)
Author:
stefan
Message:

conditional addition of dependent libraries into project libs via LIBADD

Location:
ThirdParty/Blas/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/trunk/Makefile.in

    r2886 r3097  
    153153DEFS = @DEFS@
    154154DEPDIR = @DEPDIR@
     155DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     156DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    155157ECHO = @ECHO@
    156158ECHO_C = @ECHO_C@
  • ThirdParty/Blas/trunk/configure

    r2985 r3097  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion BLAS_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS BLAS_PCLIBS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion BLAS_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS BLAS_PCLIBS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10781078                          (implies --disable-shared)
    10791079  --enable-debug-blas compile project Blas with debug compiler flags
    1080   --enable-doscompile     Under Cygwin, compile so that executables run under
    1081                           DOS. Set to mingw to use gcc/g++/ld with
    1082                           -mno-cygwin. Set to msvc to use cl/link (or
    1083                           icl/link). Default when mentioned: mingw. Default
    1084                           when not mentioned: disabled.
     1080
     1081  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10851082  --disable-pkg-config    disable use of pkg-config (if available)
    10861083  --enable-static[=PKGS]
     
    18731870
    18741871# Get the name of the Fortran compiler and appropriate compiler options
    1875 case $build in
     1872
     1873
     1874  # for backward compatibility
     1875  # Check whether --enable-doscompile or --disable-doscompile was given.
     1876if test "${enable_doscompile+set}" = set; then
     1877  enableval="$enable_doscompile"
     1878  enable_doscompile=$enableval
     1879else
     1880  enable_doscompile=no
     1881fi;
     1882
     1883  # Check whether --enable-msvc or --disable-msvc was given.
     1884if test "${enable_msvc+set}" = set; then
     1885  enableval="$enable_msvc"
     1886  enable_msvc=$enableval
     1887else
     1888  enable_msvc=no
     1889     if test "$enable_doscompile" = msvc ; then
     1890       enable_msvc=yes
     1891     elif test "$enable_doscompile" != no ; then
     1892       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1893echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1894   { (exit 1); exit 1; }; }
     1895     fi
     1896
     1897fi;
     1898
     1899  if test "$enable_msvc" = MD; then
     1900    enable_shared=yes
     1901    enable_msvc=yes
     1902  fi
     1903
     1904  if test "$enable_msvc" = yes; then
     1905    case $build in
     1906      *-cygwin* | *-mingw*) ;;
     1907      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1908echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1909   { (exit 1); exit 1; }; } ;;
     1910    esac
     1911  fi
     1912
     1913
     1914 case $build in
    18761915  *-mingw*)
    18771916    if test "${LD+set}" = set; then :; else
     
    18801919    ;;
    18811920 esac
    1882  case $enable_doscompile in
    1883    msvc)
    1884      if test "x${LD+set}" = xset; then :; else
    1885        LD=link
    1886      fi
    1887      ;;
    1888  esac
    1889 
    1890 
    1891  # Check whether --enable-doscompile or --disable-doscompile was given.
    1892 if test "${enable_doscompile+set}" = set; then
    1893   enableval="$enable_doscompile"
    1894   if test "$enable_doscompile" != no; then
    1895      case $build in
    1896        *-cygwin* | *-mingw*) ;;
    1897        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1898 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1899    { (exit 1); exit 1; }; } ;;
    1900      esac
     1921 if test $enable_msvc = yes ; then
     1922   if test "x${LD+set}" = xset; then :; else
     1923     LD=link
    19011924   fi
    1902 else
    1903   enable_doscompile=no
    1904 fi;
    1905  case "$enable_doscompile" in
    1906    mingw)
    1907      case $build in
    1908        *-mingw*) enable_doscompile=no ;;
    1909      esac
    1910      ;;
    1911    msvc|no) ;;
    1912    yes) enable_doscompile=mingw ;;
    1913    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1914                     Try configure --help=recursive." >&5
    1915 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1916                     Try configure --help=recursive." >&2;}
    1917    { (exit 1); exit 1; }; }
    1918       ;;
    1919   esac
    1920   if test "$enable_doscompile" != no ; then
    1921     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1922 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1923   fi
     1925 fi
    19241926
    19251927
     
    19641966case $build in
    19651967  *-cygwin* | *-mingw*)
    1966              if test "$enable_doscompile" = msvc ; then
    1967                comps="icl cl"
     1968             if test "$enable_msvc" = yes ; then
     1969               comps="icl cl gcc"
    19681970             else
    1969                comps="gcc cl"
     1971               comps="gcc icl cl"
    19701972             fi ;;
    19711973  *-*-solaris*)
     
    27652767    fi ;;
    27662768  * )
    2767     CYGPATH_W=echo
     2769    if test x"$CYGPATH_W" = x ; then
     2770      CYGPATH_W=echo
     2771    fi
    27682772    ;;
    27692773esac
     
    28202824            ;;
    28212825        esac
    2822         case $enable_doscompile in
    2823           mingw)
    2824             CFLAGS="-mno-cygwin"
    2825             cat >conftest.$ac_ext <<_ACEOF
    2826 /* confdefs.h.  */
    2827 _ACEOF
    2828 cat confdefs.h >>conftest.$ac_ext
    2829 cat >>conftest.$ac_ext <<_ACEOF
    2830 /* end confdefs.h.  */
    2831 
    2832 int
    2833 main ()
    2834 {
    2835 int i=0; i++;
    2836   ;
    2837   return 0;
    2838 }
    2839 _ACEOF
    2840 rm -f conftest.$ac_objext conftest$ac_exeext
    2841 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2842   (eval $ac_link) 2>conftest.er1
    2843   ac_status=$?
    2844   grep -v '^ *+' conftest.er1 >conftest.err
    2845   rm -f conftest.er1
    2846   cat conftest.err >&5
    2847   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2848   (exit $ac_status); } &&
    2849          { ac_try='test -z "$ac_c_werror_flag"
    2850                          || test ! -s conftest.err'
    2851   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2852   (eval $ac_try) 2>&5
    2853   ac_status=$?
    2854   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2855   (exit $ac_status); }; } &&
    2856          { ac_try='test -s conftest$ac_exeext'
    2857   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2858   (eval $ac_try) 2>&5
    2859   ac_status=$?
    2860   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2861   (exit $ac_status); }; }; then
    2862   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2863 else
    2864   echo "$as_me: failed program was:" >&5
    2865 sed 's/^/| /' conftest.$ac_ext >&5
    2866 
    2867 fi
    2868 rm -f conftest.err conftest.$ac_objext \
    2869       conftest$ac_exeext conftest.$ac_ext
    2870             CFLAGS=
    2871           ;;
    2872         esac
    28732826    esac
    28742827  fi
     
    30713024fi
    30723025
    3073 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3074 
    3075 case "$CFLAGS" in
    3076   *-mno-cygwin*)
    3077     if test x${CPPFLAGS+set} != xset ; then
    3078       CPPFLAGS="-mno-cygwin"
    3079     else
    3080       case "$CPPFLAGS" in
    3081         *-mno-cygwin*)
    3082           ;;
    3083         *)
    3084           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3085           ;;
    3086       esac
    3087     fi ;;
    3088 esac
    3089 
    30903026# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    30913027if test x$COIN_PRJCT != x; then
     
    32113147  clang* ) ;;
    32123148  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3213     case $build in
     3149
     3150 case $build in
    32143151  *-mingw*)
    32153152    if test "${LD+set}" = set; then :; else
     
    32183155    ;;
    32193156 esac
    3220  case $enable_doscompile in
    3221    msvc)
    3222      if test "x${LD+set}" = xset; then :; else
    3223        LD=link
    3224      fi
    3225      ;;
    3226  esac
     3157 if test $enable_msvc = yes ; then
     3158   if test "x${LD+set}" = xset; then :; else
     3159     LD=link
     3160   fi
     3161 fi
    32273162
    32283163    ;;
     
    32383173case $build in
    32393174  *-cygwin* | *-mingw*)
    3240      if test "$enable_doscompile" = msvc ; then
    3241        coin_f77_comps="ifort fl32 compile_f2c"
     3175     if test "$enable_msvc" = yes ; then
     3176       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32423177     else
    32433178       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34643399
    34653400# Provide some information about the compiler.
    3466 echo "$as_me:3466:" \
     3401echo "$as_me:3401:" \
    34673402     "checking for Fortran 77 compiler version" >&5
    34683403ac_compiler=`set X $ac_compile; echo $2`
     
    36333568    coin_add_fflags="-pipe"
    36343569    coin_dbg_fflags="-g -O0"
    3635     case $enable_doscompile in
    3636       mingw)
    3637         FFLAGS="-mno-cygwin"
    3638         cat >conftest.$ac_ext <<_ACEOF
    3639       program main
    3640       write(*,*) 'Hello world'
    3641       end
    3642 _ACEOF
    3643 rm -f conftest.$ac_objext conftest$ac_exeext
    3644 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3645   (eval $ac_link) 2>conftest.er1
    3646   ac_status=$?
    3647   grep -v '^ *+' conftest.er1 >conftest.err
    3648   rm -f conftest.er1
    3649   cat conftest.err >&5
    3650   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3651   (exit $ac_status); } &&
    3652          { ac_try='test -z "$ac_f77_werror_flag"
    3653                          || test ! -s conftest.err'
    3654   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3655   (eval $ac_try) 2>&5
    3656   ac_status=$?
    3657   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3658   (exit $ac_status); }; } &&
    3659          { ac_try='test -s conftest$ac_exeext'
    3660   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3661   (eval $ac_try) 2>&5
    3662   ac_status=$?
    3663   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3664   (exit $ac_status); }; }; then
    3665   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3666 else
    3667   echo "$as_me: failed program was:" >&5
    3668 sed 's/^/| /' conftest.$ac_ext >&5
    3669 
    3670 fi
    3671 rm -f conftest.err conftest.$ac_objext \
    3672       conftest$ac_exeext conftest.$ac_ext
    3673         FFLAGS=
    3674       ;;
    3675     esac
    36763570  else
    36773571    case $build in
     
    38513745fi
    38523746
    3853 # If FFLAGS contains -mno-cygwin, CPPFLAGS must have it.
    3854 case "$FFLAGS" in
    3855   *-mno-cygwin*)
    3856     if test x${CPPFLAGS+set} != xset ; then
    3857       CPPFLAGS="-mno-cygwin"
    3858     else
    3859       case "$CPPFLAGS" in
    3860         *-mno-cygwin*)
    3861           ;;
    3862         *)
    3863           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3864           ;;
    3865       esac
    3866     fi ;;
    3867 esac
    3868 
    38693747# Try if FFLAGS works
    38703748if test "$F77" != "unavailable" ; then
     
    39653843case "$F77" in
    39663844  ifort* | */ifort* | IFORT* | */IFORT*)
    3967     case $build in
     3845
     3846 case $build in
    39683847  *-mingw*)
    39693848    if test "${LD+set}" = set; then :; else
     
    39723851    ;;
    39733852 esac
    3974  case $enable_doscompile in
    3975    msvc)
    3976      if test "x${LD+set}" = xset; then :; else
    3977        LD=link
    3978      fi
    3979      ;;
    3980  esac
     3853 if test $enable_msvc = yes ; then
     3854   if test "x${LD+set}" = xset; then :; else
     3855     LD=link
     3856   fi
     3857 fi
    39813858
    39823859    ;;
     
    40453922ac_save_FFLAGS=$FFLAGS
    40463923FFLAGS="$FFLAGS $ac_verb"
    4047 (eval echo $as_me:4047: \"$ac_link\") >&5
     3924(eval echo $as_me:3924: \"$ac_link\") >&5
    40483925ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40493926echo "$ac_f77_v_output" >&5
     
    41234000ac_save_FFLAGS=$FFLAGS
    41244001FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4125 (eval echo $as_me:4125: \"$ac_link\") >&5
     4002(eval echo $as_me:4002: \"$ac_link\") >&5
    41264003ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41274004echo "$ac_f77_v_output" >&5
     
    43084185        -lcrt*.o) ;;
    43094186        -lcygwin) ;;
     4187        -lgcc*)   ;;
    43104188               *) my_flibs="$my_flibs $flag" ;;
    43114189      esac
     
    50504928  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
    50514929  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    5052   if test -e ../coin_subdirs.txt ; then
     4930  if test -f ../coin_subdirs.txt ; then
    50534931    for i in `cat ../coin_subdirs.txt` ; do
    50544932      if test -d ../$i ; then
     
    50614939  fi
    50624940
    5063   if test -e ../../coin_subdirs.txt ; then
     4941  if test -f ../../coin_subdirs.txt ; then
    50644942    for i in `cat ../../coin_subdirs.txt` ; do
    50654943      if test -d ../../$i ; then
     
    51104988            ;;
    51114989          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    5112             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
    5113 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     4990            { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
     4991echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
    51144992            ;;
    51154993          *)
     
    61826060
    61836061LIBTOOL=
    6184 if test -r ../libtool; then
     6062if test -f ../libtool; then
    61856063  coin_config_dir=..
    61866064  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    61876065fi
    61886066if test "x$LIBTOOL" = x; then
    6189   if test -r ../../libtool; then
     6067  if test -f ../../libtool; then
    61906068    coin_config_dir=../..
    61916069    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    67336611*-*-irix6*)
    67346612  # Find out which ABI we are using.
    6735   echo '#line 6735 "configure"' > conftest.$ac_ext
     6613  echo '#line 6613 "configure"' > conftest.$ac_ext
    67366614  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    67376615  (eval $ac_compile) 2>&5
     
    92109088   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    92119089   -e 's:$: $lt_compiler_flag:'`
    9212    (eval echo "\"\$as_me:9212: $lt_compile\"" >&5)
     9090   (eval echo "\"\$as_me:9090: $lt_compile\"" >&5)
    92139091   (eval "$lt_compile" 2>conftest.err)
    92149092   ac_status=$?
    92159093   cat conftest.err >&5
    9216    echo "$as_me:9216: \$? = $ac_status" >&5
     9094   echo "$as_me:9094: \$? = $ac_status" >&5
    92179095   if (exit $ac_status) && test -s "$ac_outfile"; then
    92189096     # The compiler can only warn and ignore the option if not recognized
     
    94789356   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94799357   -e 's:$: $lt_compiler_flag:'`
    9480    (eval echo "\"\$as_me:9480: $lt_compile\"" >&5)
     9358   (eval echo "\"\$as_me:9358: $lt_compile\"" >&5)
    94819359   (eval "$lt_compile" 2>conftest.err)
    94829360   ac_status=$?
    94839361   cat conftest.err >&5
    9484    echo "$as_me:9484: \$? = $ac_status" >&5
     9362   echo "$as_me:9362: \$? = $ac_status" >&5
    94859363   if (exit $ac_status) && test -s "$ac_outfile"; then
    94869364     # The compiler can only warn and ignore the option if not recognized
     
    95829460   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95839461   -e 's:$: $lt_compiler_flag:'`
    9584    (eval echo "\"\$as_me:9584: $lt_compile\"" >&5)
     9462   (eval echo "\"\$as_me:9462: $lt_compile\"" >&5)
    95859463   (eval "$lt_compile" 2>out/conftest.err)
    95869464   ac_status=$?
    95879465   cat out/conftest.err >&5
    9588    echo "$as_me:9588: \$? = $ac_status" >&5
     9466   echo "$as_me:9466: \$? = $ac_status" >&5
    95899467   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    95909468   then
     
    1199911877  lt_status=$lt_dlunknown
    1200011878  cat > conftest.$ac_ext <<EOF
    12001 #line 12001 "configure"
     11879#line 11879 "configure"
    1200211880#include "confdefs.h"
    1200311881
     
    1209911977  lt_status=$lt_dlunknown
    1210011978  cat > conftest.$ac_ext <<EOF
    12101 #line 12101 "configure"
     11979#line 11979 "configure"
    1210211980#include "confdefs.h"
    1210311981
     
    1445914337   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1446014338   -e 's:$: $lt_compiler_flag:'`
    14461    (eval echo "\"\$as_me:14461: $lt_compile\"" >&5)
     14339   (eval echo "\"\$as_me:14339: $lt_compile\"" >&5)
    1446214340   (eval "$lt_compile" 2>conftest.err)
    1446314341   ac_status=$?
    1446414342   cat conftest.err >&5
    14465    echo "$as_me:14465: \$? = $ac_status" >&5
     14343   echo "$as_me:14343: \$? = $ac_status" >&5
    1446614344   if (exit $ac_status) && test -s "$ac_outfile"; then
    1446714345     # The compiler can only warn and ignore the option if not recognized
     
    1456314441   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1456414442   -e 's:$: $lt_compiler_flag:'`
    14565    (eval echo "\"\$as_me:14565: $lt_compile\"" >&5)
     14443   (eval echo "\"\$as_me:14443: $lt_compile\"" >&5)
    1456614444   (eval "$lt_compile" 2>out/conftest.err)
    1456714445   ac_status=$?
    1456814446   cat out/conftest.err >&5
    14569    echo "$as_me:14569: \$? = $ac_status" >&5
     14447   echo "$as_me:14447: \$? = $ac_status" >&5
    1457014448   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1457114449   then
     
    1613316011   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1613416012   -e 's:$: $lt_compiler_flag:'`
    16135    (eval echo "\"\$as_me:16135: $lt_compile\"" >&5)
     16013   (eval echo "\"\$as_me:16013: $lt_compile\"" >&5)
    1613616014   (eval "$lt_compile" 2>conftest.err)
    1613716015   ac_status=$?
    1613816016   cat conftest.err >&5
    16139    echo "$as_me:16139: \$? = $ac_status" >&5
     16017   echo "$as_me:16017: \$? = $ac_status" >&5
    1614016018   if (exit $ac_status) && test -s "$ac_outfile"; then
    1614116019     # The compiler can only warn and ignore the option if not recognized
     
    1623716115   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1623816116   -e 's:$: $lt_compiler_flag:'`
    16239    (eval echo "\"\$as_me:16239: $lt_compile\"" >&5)
     16117   (eval echo "\"\$as_me:16117: $lt_compile\"" >&5)
    1624016118   (eval "$lt_compile" 2>out/conftest.err)
    1624116119   ac_status=$?
    1624216120   cat out/conftest.err >&5
    16243    echo "$as_me:16243: \$? = $ac_status" >&5
     16121   echo "$as_me:16121: \$? = $ac_status" >&5
    1624416122   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1624516123   then
     
    1844418322   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1844518323   -e 's:$: $lt_compiler_flag:'`
    18446    (eval echo "\"\$as_me:18446: $lt_compile\"" >&5)
     18324   (eval echo "\"\$as_me:18324: $lt_compile\"" >&5)
    1844718325   (eval "$lt_compile" 2>conftest.err)
    1844818326   ac_status=$?
    1844918327   cat conftest.err >&5
    18450    echo "$as_me:18450: \$? = $ac_status" >&5
     18328   echo "$as_me:18328: \$? = $ac_status" >&5
    1845118329   if (exit $ac_status) && test -s "$ac_outfile"; then
    1845218330     # The compiler can only warn and ignore the option if not recognized
     
    1871218590   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1871318591   -e 's:$: $lt_compiler_flag:'`
    18714    (eval echo "\"\$as_me:18714: $lt_compile\"" >&5)
     18592   (eval echo "\"\$as_me:18592: $lt_compile\"" >&5)
    1871518593   (eval "$lt_compile" 2>conftest.err)
    1871618594   ac_status=$?
    1871718595   cat conftest.err >&5
    18718    echo "$as_me:18718: \$? = $ac_status" >&5
     18596   echo "$as_me:18596: \$? = $ac_status" >&5
    1871918597   if (exit $ac_status) && test -s "$ac_outfile"; then
    1872018598     # The compiler can only warn and ignore the option if not recognized
     
    1881618694   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1881718695   -e 's:$: $lt_compiler_flag:'`
    18818    (eval echo "\"\$as_me:18818: $lt_compile\"" >&5)
     18696   (eval echo "\"\$as_me:18696: $lt_compile\"" >&5)
    1881918697   (eval "$lt_compile" 2>out/conftest.err)
    1882018698   ac_status=$?
    1882118699   cat out/conftest.err >&5
    18822    echo "$as_me:18822: \$? = $ac_status" >&5
     18700   echo "$as_me:18700: \$? = $ac_status" >&5
    1882318701   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1882418702   then
     
    2153121409    # Here we need to check if -m32 is specified.  If so, we need to correct
    2153221410    # sys_lib_search_path_spec
     21411    *-cygwin* | *-mingw*)
     21412       case "$CXX" in
     21413    clang* )
     21414      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     21415      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     21416echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     21417      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     21418          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     21419          -e 's|libext="lib"|libext="a"|' \
     21420      libtool > conftest.bla
     21421      ;;
     21422    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     21423      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     21424echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     21425      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     21426          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     21427          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     21428          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     21429          -e 's%lib /OUT:%lib -OUT:%' \
     21430          -e "s%cygpath -w%$CYGPATH_W%" \
     21431          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     21432          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     21433          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     21434          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     21435          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     21436      libtool > conftest.bla
     21437      ;;
     21438    *)
     21439      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     21440echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     21441      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     21442          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     21443          -e 's|libext="lib"|libext="a"|' \
     21444      libtool > conftest.bla
     21445      ;;
     21446  esac
     21447  mv conftest.bla libtool
     21448  chmod 755 libtool
     21449
     21450      ;;
    2153321451    *x86_64-*)
    2153421452      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    2157021488      ;;
    2157121489    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    21572     *-cygwin* | *-mingw*)
    21573        case "$CXX" in
    21574     clang* )
    21575       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    21576       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    21577 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    21578       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    21579           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    21580           -e 's|libext="lib"|libext="a"|' \
    21581       libtool > conftest.bla
    21582       ;;
    21583     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    21584       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    21585 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    21586       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    21587           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    21588           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    21589           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    21590           -e 's%lib /OUT:%lib -OUT:%' \
    21591           -e "s%cygpath -w%$CYGPATH_W%" \
    21592           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
    21593           -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    21594           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    21595           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    21596           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    21597       libtool > conftest.bla
    21598       ;;
    21599     *)
    21600       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    21601 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    21602       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    21603           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    21604           -e 's|libext="lib"|libext="a"|' \
    21605       libtool > conftest.bla
    21606       ;;
    21607   esac
    21608   mv conftest.bla libtool
    21609   chmod 755 libtool
    21610 
    21611       ;;
    2161221490    *-darwin*)
    2161321491      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2171721595# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
    2171821596
     21597# Check whether --enable-dependency-linking or --disable-dependency-linking was given.
     21598if test "${enable_dependency_linking+set}" = set; then
     21599  enableval="$enable_dependency_linking"
     21600  dependency_linking="$enableval"
     21601else
     21602  dependency_linking=no
     21603fi;
     21604
    2171921605# ToDo
    2172021606# For now, don't use the -no-undefined flag, since the Makefiles are
    2172121607# not yet set up that way.  But we need to fix this, when we want
    2172221608# to comile DLLs under Windows.
    21723 LT_LDFLAGS=
     21609if test "$dependency_linking" = yes ;
     21610then
     21611  LT_LDFLAGS="-no-undefined"
     21612else
     21613  LT_LDFLAGS=
     21614fi
     21615
     21616
     21617
     21618if test "$dependency_linking" = yes; then
     21619  DEPENDENCY_LINKING_TRUE=
     21620  DEPENDENCY_LINKING_FALSE='#'
     21621else
     21622  DEPENDENCY_LINKING_TRUE='#'
     21623  DEPENDENCY_LINKING_FALSE=
     21624fi
     21625
    2172421626
    2172521627# Check if we want to set the library version
     
    2175021652echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2175121653coin_link_input_cmd="$LN_S"
    21752 if test "$enable_doscompile" = mingw; then
    21753   coin_link_input_cmd=cp
    21754 fi
    2175521654case "$CC" in
    2175621655  clang* ) ;;
     
    2198321882Usually this means the macro was only invoked conditionally." >&5
    2198421883echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
     21884Usually this means the macro was only invoked conditionally." >&2;}
     21885   { (exit 1); exit 1; }; }
     21886fi
     21887if test -z "${DEPENDENCY_LINKING_TRUE}" && test -z "${DEPENDENCY_LINKING_FALSE}"; then
     21888  { { echo "$as_me:$LINENO: error: conditional \"DEPENDENCY_LINKING\" was never defined.
     21889Usually this means the macro was only invoked conditionally." >&5
     21890echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
    2198521891Usually this means the macro was only invoked conditionally." >&2;}
    2198621892   { (exit 1); exit 1; }; }
     
    2262022526s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    2262122527s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
     22528s,@DEPENDENCY_LINKING_TRUE@,$DEPENDENCY_LINKING_TRUE,;t t
     22529s,@DEPENDENCY_LINKING_FALSE@,$DEPENDENCY_LINKING_FALSE,;t t
    2262222530s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    2262322531s,@LIBEXT@,$LIBEXT,;t t
Note: See TracChangeset for help on using the changeset viewer.